# eric5.Helpviewer.PersonalInformationManager.PersonalInformationManager

Module implementing a personal information manager used to complete form fields.

### Global Attributes

None

### Classes

PersonalInformationManager | Class implementing the personal information manager used to complete form fields.

### Functions

None

## PersonalInformationManager

Class implementing the personal information manager used to complete form fields.

### Derived from

QObject

### Class Attributes

Address
City
Country
Email
FirstName
FullName
HomePage
Invalid
LastName
Max
Mobile
Phone
Special1
Special2
Special3
Special4
State
Zip

### Class Methods

None

### Methods

PersonalInformationManager | Constructor
__insertData | Private slot to insert the selected personal information.
__loadSettings | Private method to load the settings.
__nameMatch | Private method to find the information entry for the given field.
__pageLoadFinished | Private slot to handle the completion of a page load.
connectPage | Public method to allow the personal information manager to connect to the page.
createSubMenu | Public method to create the personal information sub-menu.
showConfigurationDialog | Public method to show the configuration dialog.
viewKeyPressEvent | Protected method to handle key press events we are interested in.

### Static Methods

None

#### PersonalInformationManager (Constructor)

PersonalInformationManager(parent=None)

Constructor

parent
  reference to the parent object (QObject)

#### PersonalInformationManager.__insertData

__insertData()

Private slot to insert the selected personal information.

#### PersonalInformationManager.__loadSettings

__loadSettings()

Private method to load the settings.

#### PersonalInformationManager.__nameMatch

__nameMatch(name)

Private method to find the information entry for the given field.

name
  name of the form field (string)

Returns:
  value of the information entry (integer)

#### PersonalInformationManager.__pageLoadFinished

__pageLoadFinished(ok)

Private slot to handle the completion of a page load.

ok
  flag indicating a successful load (boolean)

#### PersonalInformationManager.connectPage

connectPage(page)

Public method to allow the personal information manager to connect to the page.

page
  reference to the web page (HelpWebPage)

#### PersonalInformationManager.createSubMenu

createSubMenu(menu, view, hitTestResult)

Public method to create the personal information sub-menu.

menu
  reference to the main menu (QMenu)
view
  reference to the view (HelpBrowser)
hitTestResult
  reference to the hit test result (QWebHitTestResult)

#### PersonalInformationManager.showConfigurationDialog

showConfigurationDialog()

Public method to show the configuration dialog.

#### PersonalInformationManager.viewKeyPressEvent

viewKeyPressEvent(view, evt)

Protected method to handle key press events we are interested in.

view
  reference to the view (HelpBrowser)
evt
  reference to the key event (QKeyEvent)

Returns:
  flag indicating handling of the event (boolean)

Up